#
# spec file for package python-cPyparsing
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cPyparsing
Version:        2.4.5.0.1.1
Release:        bp156.3.3
Summary:        Cython implementation of PyParsing
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/evhub/cpyparsing
Source:         https://files.pythonhosted.org/packages/source/c/cPyparsing/cPyparsing-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Cython implementation of PyParsing created for use in Coconut and Undebt.

%prep
%setup -q -n cPyparsing-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
# no tests in PyPi tarball and no release tags in GitHub repo https://github.com/evhub/cpyparsing/issues/3

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitearch}/*

%changelog
* Fri Jan 24 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 2.4.5.0.1.1
  * add Python 3.8
  * Remove Py 2.6 testing
* Thu Jul  4 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.4.0.1.0.0:
  * update to pyparsing 2.4
* Wed Mar  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.3.2.1.0.0:
  * no upstream changelog
* Tue Feb  5 2019 alarrosa@suse.com
- Update to 2.2.0.1.1.2
  * Fix python 3.7 support
  * Upstream doesn't provide a changelog
* Thu May 31 2018 toddrme2178@gmail.com
- Initial version
